Subject: Re: [sipcore] "Gaps" in call flows

From: [email-masked] (Dale R. Worley)
Date: Tue, 6 Nov 2012 13:41:33 -0500 (EST)

> From: Mary Barnes <[email-masked]>
> 
> [MB] The hi-entries are added in order of the message processing which MUST
> be maintained per the requirements and per the definition of the index
> (same for 4244). We could add a note in that definition that it is possible
> in cases of gaps to have the same index but the chronological order must
> still be maintained.  [/MB]

I may be misunderstanding you, but I think this is incorrect.  In an
ordinary case of parallel forking, a proxy sends the request labeled
1.2.3.1 before it sends the request labeled 1.2.3.2.  But even if the
response to 1.2.3.2 arrives before the response to 1.2.3.1, in the
response to the incoming request (1.2.3), the hi-entries for 1.2.3.1.*
will appear before the hi-entries for 1.2.3.2.*.

Dale